/*
 AJGrep

 Luc Maranget, projet Moscova, Inria Rocquencourt
 
 Copyright 2006 Institut National de Recherche en Informatique et    
 en Automatique.  All rights reserved.  This file is distributed     
 under the terms of the Q Public License version 1.0.          
*/

class Transition {
  char label ;
  Transition next ;

  Transition (char c,Transition next) {
    label = c ;
    this.next = next ;
  }

  public String toString() {
    StringBuffer r = new StringBuffer () ;
    for (Transition p = this ; p != null ; p = p.next)
      r.append("- " + p.label + " -> ") ;
    return r.toString() ;
    
  }
}
